Subject: Bug#3710: Tex can't find the default format file for Latex.

From: Louis-Dominique Dubeau <[email-masked]>
Date: Mon, 08 Jul 1996 08:06:40 -0400

Package: latex
Version: 2e-4

This is what I get (with any latex file): 

$latex maitrise.tex 
This is TeX, Version 3.1415 (C version 6.1)
I can't find the default format file!

The problem seems to be with the generation of the latex.fmt file. In
the /usr/lib/texmf/ini/ directory there is Makefile to generate a
latex.fmt file.  If I run it, I get:

# make latex.fmt
initex latex.initex > /dev/null < /dev/null
make: *** [latex.fmt] Error 1

Looking at the latex.log file I see:

******************************************************************
* You are attempting to make a LaTeX format from a source file
* That is more than one year old.
*
* If you enter <return> to scroll past this message then the format
* will be built, but please consider obtaining newer source files
* before continuing to build LaTeX.
*
* LaTeX is re-issued every 6 months June and December.
******************************************************************

So the temporary fix is to run the command to generate the latex format
by hand: initex latex.initex and then hit return when the error message
appears.

A long term solution would be to upgrate the latex package to the newest
version of Latex2e.

Just for the records but I doubt it is necessary:

Debian version: 1.1
Linux version: 2.0.0
Libc version: 5.2.18

	Regards,
	ldd

-- Louis-Dominique Dubeau == Home page: http://step.polymtl.ca/~ldd/ --